GET v1/Activity/GuidName?eventId={eventId}&parentId={parentId}&hasContribution={hasContribution}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| eventId | globally unique identifier |
Required |
|
| parentId | globally unique identifier |
None. |
|
| hasContribution | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ActivityGuidNameViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Guid | globally unique identifier |
None. |
|
| Name | string |
None. |
|
| SessionNumber | string |
None. |
|
| EventWorkForms | Collection of GuidName |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Guid": "302a4914-6e90-4c76-83e5-a8d90af36f31",
"Name": "sample string 2",
"SessionNumber": "sample string 3",
"EventWorkForms": [
{
"Guid": "4580446c-111c-4cc0-9699-aadda9fa9696",
"Name": "sample string 2"
},
{
"Guid": "4580446c-111c-4cc0-9699-aadda9fa9696",
"Name": "sample string 2"
}
]
},
{
"Guid": "302a4914-6e90-4c76-83e5-a8d90af36f31",
"Name": "sample string 2",
"SessionNumber": "sample string 3",
"EventWorkForms": [
{
"Guid": "4580446c-111c-4cc0-9699-aadda9fa9696",
"Name": "sample string 2"
},
{
"Guid": "4580446c-111c-4cc0-9699-aadda9fa9696",
"Name": "sample string 2"
}
]
}
]
application/octet-stream
Sample:
[{"Guid":"302a4914-6e90-4c76-83e5-a8d90af36f31","Name":"sample string 2","SessionNumber":"sample string 3","EventWorkForms":[{"Guid":"4580446c-111c-4cc0-9699-aadda9fa9696","Name":"sample string 2"},{"Guid":"4580446c-111c-4cc0-9699-aadda9fa9696","Name":"sample string 2"}]},{"Guid":"302a4914-6e90-4c76-83e5-a8d90af36f31","Name":"sample string 2","SessionNumber":"sample string 3","EventWorkForms":[{"Guid":"4580446c-111c-4cc0-9699-aadda9fa9696","Name":"sample string 2"},{"Guid":"4580446c-111c-4cc0-9699-aadda9fa9696","Name":"sample string 2"}]}]
application/xml, text/xml
Sample:
<ArrayOfActivityGuidNameViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Interpulse.EventSystem.ViewModels.Services.Small">
<ActivityGuidNameViewModel>
<EventWorkForms xmlns:d3p1="http://schemas.datacontract.org/2004/07/Interpulse.EventSystem.ViewModels.Services.Common">
<d3p1:GuidName>
<d3p1:Guid>4580446c-111c-4cc0-9699-aadda9fa9696</d3p1:Guid>
<d3p1:Name>sample string 2</d3p1:Name>
</d3p1:GuidName>
<d3p1:GuidName>
<d3p1:Guid>4580446c-111c-4cc0-9699-aadda9fa9696</d3p1:Guid>
<d3p1:Name>sample string 2</d3p1:Name>
</d3p1:GuidName>
</EventWorkForms>
<Guid>302a4914-6e90-4c76-83e5-a8d90af36f31</Guid>
<Name>sample string 2</Name>
<SessionNumber>sample string 3</SessionNumber>
</ActivityGuidNameViewModel>
<ActivityGuidNameViewModel>
<EventWorkForms xmlns:d3p1="http://schemas.datacontract.org/2004/07/Interpulse.EventSystem.ViewModels.Services.Common">
<d3p1:GuidName>
<d3p1:Guid>4580446c-111c-4cc0-9699-aadda9fa9696</d3p1:Guid>
<d3p1:Name>sample string 2</d3p1:Name>
</d3p1:GuidName>
<d3p1:GuidName>
<d3p1:Guid>4580446c-111c-4cc0-9699-aadda9fa9696</d3p1:Guid>
<d3p1:Name>sample string 2</d3p1:Name>
</d3p1:GuidName>
</EventWorkForms>
<Guid>302a4914-6e90-4c76-83e5-a8d90af36f31</Guid>
<Name>sample string 2</Name>
<SessionNumber>sample string 3</SessionNumber>
</ActivityGuidNameViewModel>
</ArrayOfActivityGuidNameViewModel>